##
## test_container.py
## Login : <uli@pu.smp.net>
## Started on  Thu Jan 20 09:30:37 2011 Uli Fouquet
## $Id$
## 
## Copyright (C) 2011 Uli Fouquet
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
Tests for application containers.
"""
import unittest
from zope.interface.verify import verifyClass, verifyObject
from waeup.sirp.applications import interfaces
from waeup.sirp.applications.container import ApplicationContainer

class ApplicationContainerTestCase(unittest.TestCase):

    def test_interfaces(self):
        # Make sure the correct interfaces are implemented.
        self.assertTrue(
            verifyClass(
                interfaces.IApplicationContainer, ApplicationContainer)
            )
        self.assertTrue(
            verifyObject(
                interfaces.IApplicationContainer, ApplicationContainer())
            )
        return

def suite():
    suite = unittest.TestSuite()
    suite.addTests(
        unittest.TestLoader().loadTestsFromTestCase(
            ApplicationContainerTestCase,
            )
        )
    return suite

test_suite = suite
